Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | PVector
Name | ### mag()
Examples |
    PVector v;

    void setup() {
      size(100, 100);
      v = new PVector(20.0, 30.0, 40.0);
      float m = v.mag();
      println(m);  // Prints "53.851646"
    }
Description | Calculates the magnitude (length) of the vector and returns the result as a float (this is simply the equation sqrt(x*x + y*y + z*z).)
Syntax |
    vec.mag()
Parameters |
vec | any variable of type PVector
Returns | float
Usage | Web & Application

Updated on August 30, 2010 04:29:39pm EDT